InfoGrab DocsInfoGrab Docs

직접 전송으로 그룹 및 프로젝트 마이그레이션 API

요약

이 API를 사용하여 직접 전송으로 그룹과 프로젝트를 마이그레이션합니다. 새 그룹 또는 프로젝트 마이그레이션을 시작합니다. 모든 그룹 또는 프로젝트 마이그레이션을 나열합니다. 모든 그룹 또는 프로젝트 마이그레이션 엔티티를 나열합니다.

이 API를 사용하여 직접 전송으로 그룹과 프로젝트를 마이그레이션합니다.

사전 요구사항:

그룹 또는 프로젝트 마이그레이션 시작#

새 그룹 또는 프로젝트 마이그레이션을 시작합니다. 프로젝트를 마이그레이션하려면 entities[project_entity]를 지정합니다.

POST /bulk_imports
속성 유형 필수 설명
configuration Hash 예 소스 GitLab 인스턴스 구성.
configuration[url] String 예 소스 GitLab 인스턴스 URL.
configuration[access_token] String 예 소스 GitLab 인스턴스에 대한 액세스 토큰.
entities Array 예 가져올 엔티티 목록.
entities[source_type] String 예 소스 엔티티 유형. 유효한 값은 group_entity 및 project_entity입니다.
entities[source_full_path] String 예 가져올 엔티티의 소스 전체 경로. 예를 들어 gitlab-org/gitlab 입니다.
entities[destination_slug] String 예 엔티티의 대상 슬러그. GitLab은 슬러그를 엔티티의 URL 경로로 사용합니다. 가져온 엔티티의 이름은 슬러그가 아니라 소스 엔티티의 이름에서 복사됩니다.
entities[destination_namespace] String 예 엔티티의 대상 그룹 네임스페이스 전체 경로. project_entity의 경우 이 값은 대상 인스턴스에 이미 존재하는 그룹이어야 합니다. group_entity의 경우 이 값은 대상 인스턴스에 이미 존재하는 그룹이거나, 대상 인스턴스(GitLab Self-Managed 및 GitLab Dedicated)에 최상위 그룹을 생성하는 빈 문자열 ""일 수 있습니다. 개인 네임스페이스는 지원되지 않습니다.
entities[destination_name] String 아니요 더 이상 사용되지 않습니다. 대신 destination_slug를 사용합니다. 엔티티의 대상 슬러그.
entities[migrate_memberships] Boolean 아니요 사용자 멤버십을 가져옵니다. 기본값은 true입니다.
entities[migrate_projects] Boolean 아니요 그룹에 중첩된 모든 프로젝트도 함께 가져옵니다(source_type이 group_entity인 경우). 기본값은 true입니다.
curl --request POST \
  --url "https://destination-gitlab-instance.example.com/api/v4/bulk_imports" \
  --header "PRIVATE-TOKEN: <your_access_token_for_destination_gitlab_instance>" \
  --header "Content-Type: application/json" \
  --data '{
    "configuration": {
      "url": "https://source-gitlab-instance.example.com",
      "access_token": "<your_access_token_for_source_gitlab_instance>"
    },
    "entities": [
      {
        "source_full_path": "source/full/path",
        "source_type": "group_entity",
        "destination_slug": "destination_slug",
        "destination_namespace": "destination/namespace/path"
      }
    ]
  }'
{
  "id": 1,
  "status": "created",
  "source_type": "gitlab",
  "source_url": "https://gitlab.example.com",
  "created_at": "2021-06-18T09:45:55.358Z",
  "updated_at": "2021-06-18T09:46:27.003Z",
  "has_failures": false
}

모든 그룹 또는 프로젝트 마이그레이션 조회#

모든 그룹 또는 프로젝트 마이그레이션을 나열합니다.

GET /bulk_imports
속성 유형 필수 설명
per_page integer 아니요 페이지당 반환할 레코드 수.
page integer 아니요 조회할 페이지.
sort string 아니요 생성 날짜 기준 asc 또는 desc 순으로 정렬된 레코드를 반환합니다. 기본값은 desc
status string 아니요 가져오기 상태.

상태는 다음 중 하나입니다.

  • created
  • started
  • finished
  • failed
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports?per_page=2&page=1"
[
    {
        "id": 1,
        "status": "finished",
        "source_type": "gitlab",
        "source_url": "https://gitlab.example.com",
        "created_at": "2021-06-18T09:45:55.358Z",
        "updated_at": "2021-06-18T09:46:27.003Z",
        "has_failures": false
    },
    {
        "id": 2,
        "status": "started",
        "source_type": "gitlab",
        "source_url": "https://gitlab.example.com",
        "created_at": "2021-06-18T09:47:36.581Z",
        "updated_at": "2021-06-18T09:47:58.286Z",
        "has_failures": false
    }
]

모든 그룹 또는 프로젝트 마이그레이션 엔티티 조회#

모든 그룹 또는 프로젝트 마이그레이션 엔티티를 나열합니다.

GET /bulk_imports/entities
속성 유형 필수 설명
per_page integer 아니요 페이지당 반환할 레코드 수.
page integer 아니요 조회할 페이지.
sort string 아니요 생성 날짜 기준 asc 또는 desc 순으로 정렬된 레코드를 반환합니다. 기본값은 desc
status string 아니요 가져오기 상태.

상태는 다음 중 하나입니다.

  • created
  • started
  • finished
  • failed
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/entities?per_page=2&page=1&status=started"
[
    {
        "id": 1,
        "bulk_import_id": 1,
        "status": "finished",
        "entity_type": "group",
        "source_full_path": "source_group",
        "destination_full_path": "destination/full_path",
        "destination_name": "destination_slug",
        "destination_slug": "destination_slug",
        "destination_namespace": "destination_path",
        "parent_id": null,
        "namespace_id": 1,
        "project_id": null,
        "created_at": "2021-06-18T09:47:37.390Z",
        "updated_at": "2021-06-18T09:47:51.867Z",
        "failures": [],
        "migrate_projects": true,
        "migrate_memberships": true,
        "has_failures": false,
        "stats": {
            "labels": {
                "source": 10,
                "fetched": 10,
                "imported": 10
            },
            "milestones": {
                "source": 10,
                "fetched": 10,
                "imported": 10
            }
        }
    },
    {
        "id": 2,
        "bulk_import_id": 2,
        "status": "failed",
        "entity_type": "group",
        "source_full_path": "another_group",
        "destination_full_path": "destination/full_path",
        "destination_name": "destination_slug",
        "destination_slug": "another_slug",
        "destination_namespace": "another_namespace",
        "parent_id": null,
        "namespace_id": null,
        "project_id": null,
        "created_at": "2021-06-24T10:40:20.110Z",
        "updated_at": "2021-06-24T10:40:46.590Z",
        "failures": [
            {
                "relation": "group",
                "step": "extractor",
                "exception_message": "Error!",
                "exception_class": "Exception",
                "correlation_id_value": "dfcf583058ed4508e4c7c617bd7f0edd",
                "created_at": "2021-06-24T10:40:46.495Z",
                "pipeline_class": "BulkImports::Groups::Pipelines::GroupPipeline",
                "pipeline_step": "extractor"
            }
        ],
        "migrate_projects": true,
        "migrate_memberships": true,
        "has_failures": false,
        "stats": { }
    }
]

그룹 또는 프로젝트 마이그레이션 상세 조회#

그룹 또는 프로젝트 마이그레이션의 상세 정보를 조회합니다.

GET /bulk_imports/:id
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1"
{
  "id": 1,
  "status": "finished",
  "source_type": "gitlab",
  "source_url": "https://gitlab.example.com",
  "created_at": "2021-06-18T09:45:55.358Z",
  "updated_at": "2021-06-18T09:46:27.003Z"
}

특정 마이그레이션의 그룹 또는 프로젝트 마이그레이션 엔티티 조회#

특정 마이그레이션에 속한 그룹 또는 프로젝트 마이그레이션 엔티티를 나열합니다.

GET /bulk_imports/:id/entities
속성 유형 필수 설명
per_page integer 아니요 페이지당 반환할 레코드 수.
page integer 아니요 조회할 페이지.
sort string 아니요 생성 날짜 기준 asc 또는 desc 순으로 정렬된 레코드를 반환합니다. 기본값은 desc
status string 아니요 가져오기 상태.

상태는 다음 중 하나입니다.

  • created
  • started
  • finished
  • failed
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1/entities?per_page=2&page=1&status=finished"
[
    {
        "id": 1,
        "bulk_import_id": 1,
        "status": "finished",
        "entity_type": "group",
        "source_full_path": "source_group",
        "destination_full_path": "destination/full_path",
        "destination_name": "destination_slug",
        "destination_slug": "destination_slug",
        "destination_namespace": "destination_path",
        "parent_id": null,
        "namespace_id": 1,
        "project_id": null,
        "created_at": "2021-06-18T09:47:37.390Z",
        "updated_at": "2021-06-18T09:47:51.867Z",
        "failures": [
            {
                "relation": "group",
                "step": "extractor",
                "exception_message": "Error!",
                "exception_class": "Exception",
                "correlation_id_value": "dfcf583058ed4508e4c7c617bd7f0edd",
                "created_at": "2021-06-24T10:40:46.495Z",
                "pipeline_class": "BulkImports::Groups::Pipelines::GroupPipeline",
                "pipeline_step": "extractor"
            }
        ],
        "migrate_projects": true,
        "migrate_memberships": true,
        "has_failures": true,
        "stats": {
            "labels": {
                "source": 10,
                "fetched": 10,
                "imported": 10
            },
            "milestones": {
                "source": 10,
                "fetched": 10,
                "imported": 10
            }
        }
    }
]

그룹 또는 프로젝트 마이그레이션 엔티티 상세 조회#

그룹 또는 프로젝트 마이그레이션 엔티티의 상세 정보를 조회합니다.

GET /bulk_imports/:id/entities/:entity_id
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1/entities/2"
{
    "id": 1,
    "bulk_import_id": 1,
    "status": "finished",
    "entity_type": "group",
    "source_full_path": "source_group",
    "destination_full_path": "destination/full_path",
    "destination_name": "destination_slug",
    "destination_slug": "destination_slug",
    "destination_namespace": "destination_path",
    "parent_id": null,
    "namespace_id": 1,
    "project_id": null,
    "created_at": "2021-06-18T09:47:37.390Z",
    "updated_at": "2021-06-18T09:47:51.867Z",
    "failures": [
        {
            "relation": "group",
            "step": "extractor",
            "exception_message": "Error!",
            "exception_class": "Exception",
            "correlation_id_value": "dfcf583058ed4508e4c7c617bd7f0edd",
            "created_at": "2021-06-24T10:40:46.495Z",
            "pipeline_class": "BulkImports::Groups::Pipelines::GroupPipeline",
            "pipeline_step": "extractor"
        }
    ],
    "migrate_projects": true,
    "migrate_memberships": true,
    "has_failures": true,
    "stats": {
        "labels": {
            "source": 10,
            "fetched": 10,
            "imported": 10
        },
        "milestones": {
            "source": 10,
            "fetched": 10,
            "imported": 10
        }
    }
}

마이그레이션 엔티티의 실패한 가져오기 레코드 조회#

그룹 또는 프로젝트 마이그레이션 엔티티에서 실패한 가져오기 레코드를 나열합니다.

GET /bulk_imports/:id/entities/:entity_id/failures
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1/entities/2/failures"
{
  "relation": "issues",
  "exception_message": "Error!",
  "exception_class": "StandardError",
  "correlation_id_value": "06289e4b064329a69de7bb2d7a1b5a97",
  "source_url": "https://gitlab.example/project/full/path/-/issues/1",
  "source_title": "Issue title"
}

마이그레이션 취소#

히스토리

직접 전송 마이그레이션을 취소합니다.

POST /bulk_imports/:id/cancel
curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1/cancel"
{
  "id": 1,
  "status": "canceled",
  "source_type": "gitlab",
  "created_at": "2021-06-18T09:45:55.358Z",
  "updated_at": "2021-06-18T09:46:27.003Z",
  "has_failures": false
}

가능한 응답 상태 코드는 다음과 같습니다.

상태 설명
200 마이그레이션이 취소되었습니다
401 권한이 없습니다
403 접근이 금지되었습니다
404 마이그레이션을 찾을 수 없습니다
503 서비스를 사용할 수 없습니다

직접 전송으로 그룹 및 프로젝트 마이그레이션 API

GitLab v19.5
Tier: Free, Premium, Ultimate
Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
원문 보기

요약

이 API를 사용하여 직접 전송으로 그룹과 프로젝트를 마이그레이션합니다. 새 그룹 또는 프로젝트 마이그레이션을 시작합니다. 모든 그룹 또는 프로젝트 마이그레이션을 나열합니다. 모든 그룹 또는 프로젝트 마이그레이션 엔티티를 나열합니다.

이 API를 사용하여 직접 전송으로 그룹과 프로젝트를 마이그레이션합니다.

사전 요구사항:

그룹 또는 프로젝트 마이그레이션 시작#

새 그룹 또는 프로젝트 마이그레이션을 시작합니다. 프로젝트를 마이그레이션하려면 entities[project_entity]를 지정합니다.

POST /bulk_imports
속성 유형 필수 설명
configuration Hash 예 소스 GitLab 인스턴스 구성.
configuration[url] String 예 소스 GitLab 인스턴스 URL.
configuration[access_token] String 예 소스 GitLab 인스턴스에 대한 액세스 토큰.
entities Array 예 가져올 엔티티 목록.
entities[source_type] String 예 소스 엔티티 유형. 유효한 값은 group_entity 및 project_entity입니다.
entities[source_full_path] String 예 가져올 엔티티의 소스 전체 경로. 예를 들어 gitlab-org/gitlab 입니다.
entities[destination_slug] String 예 엔티티의 대상 슬러그. GitLab은 슬러그를 엔티티의 URL 경로로 사용합니다. 가져온 엔티티의 이름은 슬러그가 아니라 소스 엔티티의 이름에서 복사됩니다.
entities[destination_namespace] String 예 엔티티의 대상 그룹 네임스페이스 전체 경로. project_entity의 경우 이 값은 대상 인스턴스에 이미 존재하는 그룹이어야 합니다. group_entity의 경우 이 값은 대상 인스턴스에 이미 존재하는 그룹이거나, 대상 인스턴스(GitLab Self-Managed 및 GitLab Dedicated)에 최상위 그룹을 생성하는 빈 문자열 ""일 수 있습니다. 개인 네임스페이스는 지원되지 않습니다.
entities[destination_name] String 아니요 더 이상 사용되지 않습니다. 대신 destination_slug를 사용합니다. 엔티티의 대상 슬러그.
entities[migrate_memberships] Boolean 아니요 사용자 멤버십을 가져옵니다. 기본값은 true입니다.
entities[migrate_projects] Boolean 아니요 그룹에 중첩된 모든 프로젝트도 함께 가져옵니다(source_type이 group_entity인 경우). 기본값은 true입니다.
curl --request POST \
  --url "https://destination-gitlab-instance.example.com/api/v4/bulk_imports" \
  --header "PRIVATE-TOKEN: <your_access_token_for_destination_gitlab_instance>" \
  --header "Content-Type: application/json" \
  --data '{
    "configuration": {
      "url": "https://source-gitlab-instance.example.com",
      "access_token": "<your_access_token_for_source_gitlab_instance>"
    },
    "entities": [
      {
        "source_full_path": "source/full/path",
        "source_type": "group_entity",
        "destination_slug": "destination_slug",
        "destination_namespace": "destination/namespace/path"
      }
    ]
  }'
{
  "id": 1,
  "status": "created",
  "source_type": "gitlab",
  "source_url": "https://gitlab.example.com",
  "created_at": "2021-06-18T09:45:55.358Z",
  "updated_at": "2021-06-18T09:46:27.003Z",
  "has_failures": false
}

모든 그룹 또는 프로젝트 마이그레이션 조회#

모든 그룹 또는 프로젝트 마이그레이션을 나열합니다.

GET /bulk_imports
속성 유형 필수 설명
per_page integer 아니요 페이지당 반환할 레코드 수.
page integer 아니요 조회할 페이지.
sort string 아니요 생성 날짜 기준 asc 또는 desc 순으로 정렬된 레코드를 반환합니다. 기본값은 desc
status string 아니요 가져오기 상태.

상태는 다음 중 하나입니다.

  • created
  • started
  • finished
  • failed
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports?per_page=2&page=1"
[
    {
        "id": 1,
        "status": "finished",
        "source_type": "gitlab",
        "source_url": "https://gitlab.example.com",
        "created_at": "2021-06-18T09:45:55.358Z",
        "updated_at": "2021-06-18T09:46:27.003Z",
        "has_failures": false
    },
    {
        "id": 2,
        "status": "started",
        "source_type": "gitlab",
        "source_url": "https://gitlab.example.com",
        "created_at": "2021-06-18T09:47:36.581Z",
        "updated_at": "2021-06-18T09:47:58.286Z",
        "has_failures": false
    }
]

모든 그룹 또는 프로젝트 마이그레이션 엔티티 조회#

모든 그룹 또는 프로젝트 마이그레이션 엔티티를 나열합니다.

GET /bulk_imports/entities
속성 유형 필수 설명
per_page integer 아니요 페이지당 반환할 레코드 수.
page integer 아니요 조회할 페이지.
sort string 아니요 생성 날짜 기준 asc 또는 desc 순으로 정렬된 레코드를 반환합니다. 기본값은 desc
status string 아니요 가져오기 상태.

상태는 다음 중 하나입니다.

  • created
  • started
  • finished
  • failed
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/entities?per_page=2&page=1&status=started"
[
    {
        "id": 1,
        "bulk_import_id": 1,
        "status": "finished",
        "entity_type": "group",
        "source_full_path": "source_group",
        "destination_full_path": "destination/full_path",
        "destination_name": "destination_slug",
        "destination_slug": "destination_slug",
        "destination_namespace": "destination_path",
        "parent_id": null,
        "namespace_id": 1,
        "project_id": null,
        "created_at": "2021-06-18T09:47:37.390Z",
        "updated_at": "2021-06-18T09:47:51.867Z",
        "failures": [],
        "migrate_projects": true,
        "migrate_memberships": true,
        "has_failures": false,
        "stats": {
            "labels": {
                "source": 10,
                "fetched": 10,
                "imported": 10
            },
            "milestones": {
                "source": 10,
                "fetched": 10,
                "imported": 10
            }
        }
    },
    {
        "id": 2,
        "bulk_import_id": 2,
        "status": "failed",
        "entity_type": "group",
        "source_full_path": "another_group",
        "destination_full_path": "destination/full_path",
        "destination_name": "destination_slug",
        "destination_slug": "another_slug",
        "destination_namespace": "another_namespace",
        "parent_id": null,
        "namespace_id": null,
        "project_id": null,
        "created_at": "2021-06-24T10:40:20.110Z",
        "updated_at": "2021-06-24T10:40:46.590Z",
        "failures": [
            {
                "relation": "group",
                "step": "extractor",
                "exception_message": "Error!",
                "exception_class": "Exception",
                "correlation_id_value": "dfcf583058ed4508e4c7c617bd7f0edd",
                "created_at": "2021-06-24T10:40:46.495Z",
                "pipeline_class": "BulkImports::Groups::Pipelines::GroupPipeline",
                "pipeline_step": "extractor"
            }
        ],
        "migrate_projects": true,
        "migrate_memberships": true,
        "has_failures": false,
        "stats": { }
    }
]

그룹 또는 프로젝트 마이그레이션 상세 조회#

그룹 또는 프로젝트 마이그레이션의 상세 정보를 조회합니다.

GET /bulk_imports/:id
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1"
{
  "id": 1,
  "status": "finished",
  "source_type": "gitlab",
  "source_url": "https://gitlab.example.com",
  "created_at": "2021-06-18T09:45:55.358Z",
  "updated_at": "2021-06-18T09:46:27.003Z"
}

특정 마이그레이션의 그룹 또는 프로젝트 마이그레이션 엔티티 조회#

특정 마이그레이션에 속한 그룹 또는 프로젝트 마이그레이션 엔티티를 나열합니다.

GET /bulk_imports/:id/entities
속성 유형 필수 설명
per_page integer 아니요 페이지당 반환할 레코드 수.
page integer 아니요 조회할 페이지.
sort string 아니요 생성 날짜 기준 asc 또는 desc 순으로 정렬된 레코드를 반환합니다. 기본값은 desc
status string 아니요 가져오기 상태.

상태는 다음 중 하나입니다.

  • created
  • started
  • finished
  • failed
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1/entities?per_page=2&page=1&status=finished"
[
    {
        "id": 1,
        "bulk_import_id": 1,
        "status": "finished",
        "entity_type": "group",
        "source_full_path": "source_group",
        "destination_full_path": "destination/full_path",
        "destination_name": "destination_slug",
        "destination_slug": "destination_slug",
        "destination_namespace": "destination_path",
        "parent_id": null,
        "namespace_id": 1,
        "project_id": null,
        "created_at": "2021-06-18T09:47:37.390Z",
        "updated_at": "2021-06-18T09:47:51.867Z",
        "failures": [
            {
                "relation": "group",
                "step": "extractor",
                "exception_message": "Error!",
                "exception_class": "Exception",
                "correlation_id_value": "dfcf583058ed4508e4c7c617bd7f0edd",
                "created_at": "2021-06-24T10:40:46.495Z",
                "pipeline_class": "BulkImports::Groups::Pipelines::GroupPipeline",
                "pipeline_step": "extractor"
            }
        ],
        "migrate_projects": true,
        "migrate_memberships": true,
        "has_failures": true,
        "stats": {
            "labels": {
                "source": 10,
                "fetched": 10,
                "imported": 10
            },
            "milestones": {
                "source": 10,
                "fetched": 10,
                "imported": 10
            }
        }
    }
]

그룹 또는 프로젝트 마이그레이션 엔티티 상세 조회#

그룹 또는 프로젝트 마이그레이션 엔티티의 상세 정보를 조회합니다.

GET /bulk_imports/:id/entities/:entity_id
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1/entities/2"
{
    "id": 1,
    "bulk_import_id": 1,
    "status": "finished",
    "entity_type": "group",
    "source_full_path": "source_group",
    "destination_full_path": "destination/full_path",
    "destination_name": "destination_slug",
    "destination_slug": "destination_slug",
    "destination_namespace": "destination_path",
    "parent_id": null,
    "namespace_id": 1,
    "project_id": null,
    "created_at": "2021-06-18T09:47:37.390Z",
    "updated_at": "2021-06-18T09:47:51.867Z",
    "failures": [
        {
            "relation": "group",
            "step": "extractor",
            "exception_message": "Error!",
            "exception_class": "Exception",
            "correlation_id_value": "dfcf583058ed4508e4c7c617bd7f0edd",
            "created_at": "2021-06-24T10:40:46.495Z",
            "pipeline_class": "BulkImports::Groups::Pipelines::GroupPipeline",
            "pipeline_step": "extractor"
        }
    ],
    "migrate_projects": true,
    "migrate_memberships": true,
    "has_failures": true,
    "stats": {
        "labels": {
            "source": 10,
            "fetched": 10,
            "imported": 10
        },
        "milestones": {
            "source": 10,
            "fetched": 10,
            "imported": 10
        }
    }
}

마이그레이션 엔티티의 실패한 가져오기 레코드 조회#

그룹 또는 프로젝트 마이그레이션 엔티티에서 실패한 가져오기 레코드를 나열합니다.

GET /bulk_imports/:id/entities/:entity_id/failures
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1/entities/2/failures"
{
  "relation": "issues",
  "exception_message": "Error!",
  "exception_class": "StandardError",
  "correlation_id_value": "06289e4b064329a69de7bb2d7a1b5a97",
  "source_url": "https://gitlab.example/project/full/path/-/issues/1",
  "source_title": "Issue title"
}

마이그레이션 취소#

히스토리

직접 전송 마이그레이션을 취소합니다.

POST /bulk_imports/:id/cancel
curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/bulk_imports/1/cancel"
{
  "id": 1,
  "status": "canceled",
  "source_type": "gitlab",
  "created_at": "2021-06-18T09:45:55.358Z",
  "updated_at": "2021-06-18T09:46:27.003Z",
  "has_failures": false
}

가능한 응답 상태 코드는 다음과 같습니다.

상태 설명
200 마이그레이션이 취소되었습니다
401 권한이 없습니다
403 접근이 금지되었습니다
404 마이그레이션을 찾을 수 없습니다
503 서비스를 사용할 수 없습니다